--
-- setup some plugins
--

-- NvimTree empty setup using defaults
local tree_status_ok, tree = pcall(require, "nvim-tree")
if tree_status_ok then
    tree.setup()
end

-- Git signs (Gutter)
local gitsigns_status_ok, gitsigns = pcall(require, "gitsigns")
if gitsigns_status_ok then
    gitsigns.setup()
end

-- Telescope
local _, _ = pcall(require, "telescope.builtin")

-- Autopairs
local autopairs_status_ok, autopairs = pcall(require, "nvim-autopairs")
if autopairs_status_ok then
    autopairs.setup {}
end

-- Illuminate
--local status_ok, illuminate = pcall(require, "illuminate")
--if status_ok then
--    illuminate.configure()
--end
